Subject: Re: [PATCH v2 1/2] meson: report detected runtime executable paths

From: Toon Claes <[email-masked]>
Date: Fri, 25 Apr 2025 10:27:12 +0200

Patrick Steinhardt <[email-masked]> writes:

> Git needs to know about a couple of executable paths to pick at runtime.
> This includes the system shell, but may also optionally include the Perl
> and Python interpreters. Meson detects the location of these paths
> automatically via `find_program()`, which does a lookup via the `PATH`
> environment variable. As such, it may not be immediately obvious to the
> developer which paths have been autodetected.
>
> Improve this by exposing runtime executable paths at setup time.
>
> Signed-off-by: Patrick Steinhardt <[email-masked]>
> ---
>  meson.build | 6 ++++++
>  1 file changed, 6 insertions(+)
>
> diff --git a/meson.build b/meson.build
> index c47cb79af08..a180c66ee69 100644
> --- a/meson.build
> +++ b/meson.build
> @@ -2080,3 +2080,9 @@ summary({
>    'sha256': sha256_backend,
>    'zlib': zlib_backend,
>  }, section: 'Backends')
> +
> +summary({
> +  'perl': target_perl,
> +  'python': target_python,
> +  'shell': target_shell,
> +}, section: 'Runtime executable paths')

I appreciate this change. Without [PATCH 2/2] applied I'm getting:

  Runtime executable paths
    perl         : /usr/bin/perl
    python       : /usr/bin/python3
    shell        : /usr/bin/sh

And with [PATHCH 2/2] I'm getting:

  Runtime executable paths
    perl         : /usr/bin/perl
    python       : /usr/bin/python3
    shell        : /bin/sh

As expected. :+1:

--
Toon